import React from 'react';
import { View, Text } from 'react-native';
import Chat from './components/Chat';
import WidgetComponent from './components/Widget';
import { useChatConfigurations } from './context/ChatConfigurations';
import { styles } from './styles';
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function App(_ref) {
  let {
    customWidget
  } = _ref;
  const {
    toggleIsChatOpen
  } = useChatConfigurations();
  const newComponent = /*#__PURE__*/React.isValidElement(customWidget) && /*#__PURE__*/React.cloneElement(customWidget, {
    onPress: toggleIsChatOpen
  });
  return /*#__PURE__*/React.createElement(View, {
    style: styles.app
  }, /*#__PURE__*/React.createElement(Text, null, "yo boteria"), /*#__PURE__*/React.createElement(Chat, null), newComponent || /*#__PURE__*/React.createElement(WidgetComponent, {
    onPress: () => toggleIsChatOpen()
  }));
}
export default App;
//# sourceMappingURL=App.js.map